OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_WWWAnchor Class Reference

defines a WWWAnchor node of VRML specifying group properties.
The WWWAnchor group node loads a new scene into a VRML browser
when one of its children is closen. Exactly how a user "chooses"
a child of the WWWAnchor is up to the VRML browser.
WWWAnchor with an empty ("") name does nothing when its
children are chosen.
WWWAnchor behaves like a Separator, pushing the traversal state
before traversing its children and popping it afterwards.

`#include <Vrml_WWWAnchor.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_WWWAnchor (const TCollection_AsciiString &aName="", const TCollection_AsciiString &aDescription="", const Vrml_WWWAnchorMap aMap=Vrml_MAP_NONE)
Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
Standard_EXPORT TCollection_AsciiString | Name () const
Standard_EXPORT void | SetDescription (const TCollection_AsciiString &aDescription)
Standard_EXPORT TCollection_AsciiString | Description () const
Standard_EXPORT void | SetMap (const Vrml_WWWAnchorMap aMap)
Standard_EXPORT Vrml_WWWAnchorMap | Map () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
## Private Attributes
TCollection_AsciiString | myName
TCollection_AsciiString | myDescription
Vrml_WWWAnchorMap | myMap

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_WWWAnchor::Vrml_WWWAnchor | ( | const TCollection_AsciiString & | aName = `""`,
|  | const TCollection_AsciiString & | aDescription = `""`,
|  | const Vrml_WWWAnchorMap | aMap = `Vrml_MAP_NONE`
| ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString Vrml_WWWAnchor::Description | ( |  | ) | const

Standard_EXPORT Vrml_WWWAnchorMap Vrml_WWWAnchor::Map | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString Vrml_WWWAnchor::Name | ( |  | ) | const

void Vrml_WWWAnchor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_WWWAnchor::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_WWWAnchor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_WWWAnchor::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_WWWAnchor::SetDescription | ( | const TCollection_AsciiString & | aDescription | ) |

Standard_EXPORT void Vrml_WWWAnchor::SetMap | ( | const Vrml_WWWAnchorMap | aMap | ) |

Standard_EXPORT void Vrml_WWWAnchor::SetName | ( | const TCollection_AsciiString & | aName | ) |

## Field Documentation

TCollection_AsciiString Vrml_WWWAnchor::myDescription`[private]`

Vrml_WWWAnchorMap Vrml_WWWAnchor::myMap`[private]`

TCollection_AsciiString Vrml_WWWAnchor::myName`[private]`

The documentation for this class was generated from the following file:

- Vrml_WWWAnchor.hxx